Get videos from a Facebook page. Returns video titles, descriptions, thumbnails, play counts, and publication dates. Requires the delegate_page_id from the Page Details endpoint.
curl "https://apidirect.io/v1/facebook/page/videos?delegate_page_id=20531316728" \
-H "X-API-Key: YOUR_API_KEY"
{
"videos": [
{
"video_id": "1312587094016698",
"url": "https://www.facebook.com/watch/?v=1312587094016698",
"description": "Welcome to K-Ville, Duke University's legendary tent city...",
"sentiment": {
"emotions": {
"joy": 40,
"trust": 55,
"fear": 0,
"surprise": 10,
"sadness": 0,
"disgust": 0,
"anger": 0,
"anticipation": 30
},
"dominant_emotion": "trust",
"emotional_intensity": 5,
"polarity": "positive"
},
"thumbnail": "https://scontent.xx.fbcdn.net/v/t15.5256-10/...",
"play_count": 1096104,
"date": "2026-03-07 17:21:49",
"timestamp": 1772904109
}
],
"count": 1,
"pages": 1
}